List all line items for an entity
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/invoices/line-items \
--header 'X-API-Key: <api-key>'{
"@context": "/contexts/InvoiceLineItem",
"@id": "/entities/91ab5678-1234-5678-9abc-def012345678/invoices/line-items",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoiceLineItem",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"invoice": {
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
},
"identificationNumber": "<string>",
"productIdentification": 50121537,
"description": "Apple iPhone",
"unitAmount": 70,
"unitCode": "KGM",
"quantity": 60,
"discountAmount": 0,
"totalAmount": 4200,
"retainedTaxes": {
"valueAddedTax": 0,
"incomeTax": 0,
"sinTax": 0
},
"transferredTaxes": {
"valueAddedTax": 0,
"sinTax": 0
}
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}Line Items
List all line items for an entity
List all invoice line items related to the specified entity
GET
/
entities
/
{entityId}
/
invoices
/
line-items
List all line items for an entity
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/invoices/line-items \
--header 'X-API-Key: <api-key>'{
"@context": "/contexts/InvoiceLineItem",
"@id": "/entities/91ab5678-1234-5678-9abc-def012345678/invoices/line-items",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoiceLineItem",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"invoice": {
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
},
"identificationNumber": "<string>",
"productIdentification": 50121537,
"description": "Apple iPhone",
"unitAmount": 70,
"unitCode": "KGM",
"quantity": 60,
"discountAmount": 0,
"totalAmount": 4200,
"retainedTaxes": {
"valueAddedTax": 0,
"incomeTax": 0,
"sinTax": 0
},
"transferredTaxes": {
"valueAddedTax": 0,
"sinTax": 0
}
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
The collection cursor pointer to the next page
The collection cursor pointer to the previous page
The number of items per page
Required range:
1 <= x <= 1000Response
Entity's Invoice Line Items collection response
Example:
"/entities/91ab5678-1234-5678-9abc-def012345678/invoices/line-items"
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I